<?xml version="1.0"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0
            http://maven.apache.org/xsd/maven-4.0.0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<parent>
		<groupId>com.yifu.cloud.plus.v1</groupId>
		<artifactId>yifu</artifactId>
		<version>1.0.0</version>
		<relativePath>../../pom.xml</relativePath>
	</parent>

	<artifactId>yifu-ekp-api</artifactId>
	<packaging>jar</packaging>

	<description>EKP 数据处理</description>

	<dependencies>
		<!-- core 工具类 -->
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-common-core</artifactId>
			<exclusions>
				<exclusion>
					<groupId>cn.hutool</groupId>
					<artifactId>hutool-all</artifactId>
				</exclusion>
				<exclusion>
					<groupId>cn.hutool</groupId>
					<artifactId>hutool-crypto</artifactId>
				</exclusion>
				<!-- 排除所有可能的 hutool 模块 -->
			</exclusions>
		</dependency>
		<!--swagger 注解-->
		<dependency>
			<groupId>io.swagger.core.v3</groupId>
			<artifactId>swagger-annotations</artifactId>
		</dependency>
		<!--mybatis 依赖-->
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-common-mybatis</artifactId>
		</dependency>
		<dependency>
			<groupId>com.alibaba</groupId>
			<artifactId>fastjson</artifactId>
		</dependency>
		<dependency>
			<groupId>com.yifu.cloud.plus.v1</groupId>
			<artifactId>yifu-archives-api</artifactId>
			<version>1.0.0</version>
			<scope>compile</scope>
		</dependency>
        <dependency>
            <groupId>com.yifu.cloud.plus.v1</groupId>
            <artifactId>yifu-common-ekp</artifactId>
            <version>1.0.0</version>
            <scope>compile</scope>
        </dependency>
        <dependency>
            <groupId>com.yifu.cloud.plus.v1</groupId>
            <artifactId>yifu-social-api</artifactId>
            <version>1.0.0</version>
            <scope>compile</scope>
        </dependency>
		<dependency>
			<groupId>com.icbc</groupId>
			<artifactId>icbc-api-sdk-cop</artifactId>
			<version>1.0.0</version>
		</dependency>
		<dependency>
			<groupId>com.icbc</groupId>
			<artifactId>icbc-api-sdk-cop-io</artifactId>
			<version>1.0.0</version>
		</dependency>
		<dependency>
			<groupId>com.icbc</groupId>
			<artifactId>icbc-ca</artifactId>
			<version>1.0.0</version>
		</dependency>
		<dependency>
			<groupId>com.icbc</groupId>
			<artifactId>InfosecCrypto_Java1_02_JDK14</artifactId>
			<version>1.0.0</version>
		</dependency>
		<dependency>
			<groupId>com.icbc</groupId>
			<artifactId>proguard</artifactId>
			<version>1.0.0</version>
		</dependency>
		<dependency>
			<groupId>com.icbc</groupId>
			<artifactId>hsm-software-share</artifactId>
			<version>1.0.5</version>
		</dependency>
		<dependency>
			<groupId>com.icbc</groupId>
			<artifactId>commons-logging-icbc</artifactId>
			<version>1.2.0</version>
		</dependency>
		<!-- 交行jar引入 -->
		<!--<dependency>
			<groupId>com.ipct.safety</groupId>
			<artifactId>ipct_safety</artifactId>
			<version>2.1.1</version>
		</dependency>
		<dependency>
			<groupId>cn.hutool</groupId>
			<artifactId>hutool-all</artifactId>
			<version>5.5.8</version>
		</dependency>-->
    </dependencies>
</project>
